Reply

CuttingPlanes property not getting executed...?

[ Edited ]

 

Hi All,

i have placed right view through modellink object. now i want to add cutting plane line and then place section view

to the left side. But it is not getting executed. i m trying following:

 

Dim oSEApp As SolidEdgeFramework.Application

Dim oSEDft As SolidEdgeDraft.DraftDocument

Dim ObjModelLink As SolidEdgeDraft.ModelLink

Dim Objviews As SolidEdgeDraft.DrawingViews

Dim Objview1 As SolidEdgeDraft.DrawingView

Dim ObjSheet As SolidEdgeDraft.Sheet

Dim Objcut As Object

 

oSEApp = GetObject(, "SolidEdge.Application")

oSEApp.Visible = True

oSEDft = oSEApp.Documents.Add("Solidedge.DraftDocument")

ObjSheet = oSEDft.ActiveSheet

Objviews = ObjSheet.DrawingViews

ObjModelLink = oSEDft.ModelLinks.Add(path)

Objview1 = Objviews.AddAssemblyView(ObjModelLink, SolidEdgeDraft.ViewOrientationConstants.igRightView, 1.5, 0.41, 0.26, SolidEdgeDraft.AssemblyDrawingViewTypeConstants.seAssemblySimplifiedView, "")

Objview1.ModelMembers.Item(1).ShowHiddenEdges = False

Objview1.ModelMembers.Item(1).ShowEdgesHiddenByOtherParts = False

Objcut = ObjSheet.CuttingPlanes....here it is getting failed.

Any suggetions? Thanks in advance

Prasad Pawar

(Design Automation Engg.)

 

Posted by: Prasad Pawar
Post date: 10/14/2007 11:44:22 PM

4 REPLIES

RE: CuttingPlanes property not getting executed...?

[ Edited ]

 

Hey all,

still waiting for the reply...

 

Posted by: Prasad Pawar
Post date: 10/17/2007 5:46:42 PM

RE: CuttingPlanes property not getting executed...?

[ Edited ]

Prasad,

 

Can you upload a .zip'd .dft that has a drawing view with cutting planes? I tried creating one myself but couldn't get the cutting plane command to work for some reason. Remeber, I'm not a SE user!

 

Posted by: Jason Newell
Post date: 10/17/2007 6:10:58 PM

RE: CuttingPlanes property not getting executed...?

[ Edited ]

jason

u didnt get wht i am trying to say.... u can take new draft file also. i am placing the view from the code above. now on the view that has just placed , i want to add cuttingplane and place section on the left side of that

 

Posted by: Prasad Pawar
Post date: 10/17/2007 9:12:31 PM

RE: CuttingPlanes property not getting executed...?

[ Edited ]

Hi All,

In Prgramming with SE section there are command constants given (CuttingPlaneCommandConstants Constant Set). But i am not finding any reference how to make use of it to draw cutting plane and section view.

Anybody have any idea?

 

Posted by: Prasad Pawar
Post date: 10/28/2007 5:57:56 PM